select typeringcode from pmr_ncv.vogels
drop table pmr_ncv.vogels;
create table pmr_ncv.vogels as
select
meetpunt_identificatie::integer as meetpuntidentificatie,
monster_identificatie::integer as monsteridentificatie,
null::text as metingomschrijving,
st_x(st_transform(st_setsrid(st_point(geometriepunt_x,geometriepunt_y),4326),4258)) as geometriepuntx,
st_y(st_transform(st_setsrid(st_point(geometriepunt_x,geometriepunt_y),4326),4258)) as geometriepunty,
referentiehorizontaal_code::text as referentiehorizontaalcode,
st_transform(st_setsrid(st_point(geometriepunt_x,geometriepunt_y),4326),4258) as geom,
compartiment_code::text as compartimentcode,
orgaan_code::text as orgaancode,
organisme_naam::text as organismenaam,
begindiepte_m::float,
einddiepte_m::float,
referentievlak_code::text as referentievlakcode,
monsterbewerkingsmethode_code::text as monsterbewerkingsmethodecode,
bemonsteringsmethode_code::text as bemonsteringsmethodecode,
bemonsteringsmethode_codespace::text as bemonsteringsmethodecodespace,
monstercriterium_code::text as monstercriteriumcode,
metingomschrijving as veldapparaatomschrijving,
to_date(monsternemingsdatum, 'DD-MM-YYYY') as monsternemingsdatum,
monsternemingstijd::time,
tijd_utcoffset::integer,
'AANTL' as typeringcode,
grootheid_code::text as grootheidcode,
parameter_code::text as parametercode,
biotaxon_naam::text as biotaxonnaam,
eenheid_code::text eenheidcode,
hoedanigheid_code::text as hoedanigheidcode,
waardebewerkingsmethode_code::text as waardebewerkingsmethodecode,
waardebepalingsmethode_code::text as waardebepalingsmethodecode,
waardebepalingsmethode_codespace::text as waardebepalingsmethodecodespace,
waardebepalingstechniek_code::text as waardebepalingstechniekcode,
to_date(begindatum, 'DD-MM-YYYY') as begindatum,
begintijd::time,
to_date(einddatum, 'DD-MM-YYYY') as einddatum,
eindtijd::time,
tijd2_utcoffset::text,
to_date(resultaatdatum, 'DD-MM-YYYY') as resultaatdatum,
limietsymbool::text,
numeriekewaarde::integer,
alfanumeriekewaarde::text,
kwaliteitsoordeel_code::integer as kwaliteitsoordeelcode,
accreditatiestatus_omschrijving::text as accreditatiestatusomschrijving,
meetonzekerheid_bias_waarde::text as meetonzekerheidbiaswaarde,
meetonzekerheid_reproduceerbaarheid_waarde::text as meetonzekerheidreproduceerbaarheidwaarde,
meetonzekerheid_eenheid_code::text as meetonzekerheideenheidcode,
meetonzekerheid_referentie_waarde::text as meetonzekerheidreferentiewaarde,
meetonzekerheid_referentie_eenheid::text as meetonzekerheidreferentieeenheid,
typering_code::text as opmerking
from pmr_ncv.sterns1519
union
select
"meetpunt.identificatie" as meetpuntidentificatie,
null::integer as monsteridentificatie,
null as metingomschrijving,
"geometriepunt.x"::double precision as geometriepuntx,
"geometriepunt.y"::double precision as geometriepunty,
'EPSG:'||"referentiehorizontaal.code"::text as referentiehorizontaalcode,
st_transform(st_setsrid(st_point("geometriepunt.x","geometriepunt.y"),4326),4258) as geom,
"compartiment.code"::text as compartimentcode,
null as orgaancode,
null as organismenaam,
null as begindiepte_m,
null as einddiepte_m,
null as referentievlakcode,
null as monsterbewerkingsmethodecode,
"bemonsteringsmethode.code" as bemonsteringsmethodecode,
"bemonsteringsmethode.codespace" as bemonsteringsmethodecodespace, 
null as monstercriteriumcode,
"Veldapparaat.omschrijving" as veldapparaatomschrijving,
monsternemingsdatum,
begintijd as monsternemingstijd,
null as tijd_utcoffset,
'SOORT' as typeringcode,
'AANTL' as grootheidcode,
"parameter.code" as parametercode,
"parameter.code" as biotaxonnaam,
"Eenheid.code" as eenheidcode,
null as hoedanigheidcode,
null as waardebewerkingsmethodecode,
"waardebepalingsmethode.code" as waardebepalingsmethodecode,
"waardebepalingsmethode.codespace" as waardebepalingsmethodecodespace,
null as waardebepalingstechniekcode,
begindatum,
begintijd,
begindatum as einddatum,
begintijd as eindtijd,
null as tijd2_utcoffset,
begindatum as resultaatdatum,
null as limietsymbool,
numeriekewaarde,
null as alfanumeriekewaarde,
"kwaliteitsoordeel.code" as kwaliteitsoordeelcode,
null as accreditatiestatusomschrijving,
null as meetonzekerheidbiaswaarde,
null as meetonzekerheidreproduceerbaarheidwaarde,
null as meetonzekerheideenheidcode,
null as meetonzekerheidreferentiewaarde,
null as meetonzekerheidreferentieeenheid,
"Typering.code" as opmerking
from pmr_ncv.pmrvogels


update pmr_ncv.vogels set parametercode = 'Larus fuscus' where biotaxonnaam = 'kleine mantelmeeuw';
update pmr_ncv.vogels set parametercode = 'Morus bassanus' where biotaxonnaam = 'jan van gent';
update pmr_ncv.vogels set parametercode = 'Sterna sp.' where biotaxonnaam = 'stern spec.';
update pmr_ncv.vogels set parametercode = 'Anser sp.' where biotaxonnaam = 'gans spec.';
update pmr_ncv.vogels set parametercode = 'Larus fuscus/marinus' where biotaxonnaam = 'mantelmeeuw spec.';
update pmr_ncv.vogels set parametercode = 'Melanitta nigra' where parametercode = 'zwarte zee-eend';

UPDATE 
    pmr_ncv.vogels v
SET 
    parametercode = t.taxonname
FROM 
    pmr_ncv.twnlst t
WHERE 
    lower(biotaxonnaam) = lower(t.localname) and v.parametercode is null;


select * from pmr_ncv.twnlst
create table pmr_ncv.twnlst (
taxontype text,
taxonname text,
author text,
taxongroup text,
taxonlevel text,
parentname text,
refername text,
literature text,
localname text,
date text,
status text
)
